import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size'] = 14        
plt.rcParams['legend.fontsize'] = 18  # rozmiar czcionki w legendzie

x = np.linspace(0,10,100) 
y1 = np.sin(x)
y2 = np.exp(-x/5.)

plt.plot(x, y1, 'r-', lw=1.8, label='sin(x)')
plt.plot(x, y2, 'b-', lw=5, dashes=[8,3], label='exp(-x/5)')

plt.axis([-2, 12, -1.5, 2.0])
plt.legend(loc='upper right')    # położenie legendy
plt.show()

